ru.bitel.oss.systems.inventory.service.server.bean

## Class ServiceSpecDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<E>
      - - ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<E>
        - - ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<ServiceSpec>
          - - ru.bitel.oss.systems.inventory.service.server.bean.ServiceSpecDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, Directory<ServiceSpec>

      public class ServiceSpecDao
      extends AbstractEntityDao<ServiceSpec>
      implements Directory<ServiceSpec>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `AbstractEntityAttrDao.AddressItemModifiedEventListener`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

      `getImplPS, insertEntityPS, updateEntityPS, updateEntityPS2`

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, filterWeightComparator, userId`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceSpecDao(java.sql.Connection con)`
    `ServiceSpecDao(java.sql.Connection con, int moduleId)`
    `ServiceSpecDao(java.sql.Connection con, int moduleId, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceSpec` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `protected ServiceSpec` | `getFromRSImpl(java.sql.ResultSet rs)`
    `java.util.List<ServiceSpec>` | `list()` Получение всего списка элементов из справочника
    `java.util.List<ServiceSpec>` | `list(int moduleId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title, java.util.List<FilterEntityAttr> entityFilter)`
    `void` | `move(int newParentId, java.util.Set<java.lang.Integer> children)`
    `protected void` | `updateImpl(ServiceSpec b)`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

      `deleteImpl, getFromRS, getImpl, linkEntity, list, list, listImpl, recycle, unlinkEntity, update`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `checkEntityAttribute, checkEntitySpecAttrDelete, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityValueForIds, getFromRS, listImpl, onAddressItemUpdate, updateEntityAttribute, updateEntityAttributes`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, eq, get, getById, getListFromRS, getPeriod, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, processException, setStatementParam`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

      `delete, get, update`

- - ### Constructor Detail

    - #### ServiceSpecDao

          public ServiceSpecDao(java.sql.Connection con)

    - #### ServiceSpecDao

          public ServiceSpecDao(java.sql.Connection con,
                                int moduleId)

    - #### ServiceSpecDao

          public ServiceSpecDao(java.sql.Connection con,
                                int moduleId,
                                int userId)

  - ### Method Detail

    - #### updateImpl

          protected void updateImpl(ServiceSpec b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ServiceSpec>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### list

          public java.util.List<ServiceSpec> list(int moduleId,
                                                  java.util.Date dateFrom,
                                                  java.util.Date dateTo,
                                                  java.lang.String title,
                                                  java.util.List<FilterEntityAttr> entityFilter)
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<ServiceSpec> list()
                                           throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `Directory<ServiceSpec>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRSImpl

          protected ServiceSpec getFromRSImpl(java.sql.ResultSet rs)
                                       throws java.sql.SQLException,
                                              ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRSImpl` in class `AbstractEntityDao<ServiceSpec>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public ServiceSpec get(java.lang.String title)
                          throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `Directory<ServiceSpec>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### move

          public void move(int newParentId,
                           java.util.Set<java.lang.Integer> children)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`